/*
XOWA: the XOWA Offline Wiki Application
Copyright (C) 2012 gnosygnu@gmail.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package gplx.xowa.apis; import gplx.*; import gplx.xowa.*;
class Xoapi_doc {}
/*
xowa {
	app {
		exit();
		env {
			version_previous;
		}
		fsys {
			plat_jar;
			plat_url();
		}
		startup {
			tabs {
				type;		// [blank,xowa,custom,previous]
				previous;
				custom;
				custom_is_expr;
			}
		}
	}
	nav {
		go_bwd();
		go_fwd();
		goto();
		wiki {
			main_page();
			random();
			sandbox();
		}
	}
	gui {
		browser {
			url {
				focus();
				exec_by_paste();
				exec_new_tab_by_paste();
				restore();
				exec();			
			}
			search {
				focus();
				exec();
			}
			tabs {
				new_dflt__at_dflt__focus_y();
				new_link__at_dflt__focus_n();
				new_link__at_dflt__focus_y();
				new_href__at_dflt__focus_y();
				new_dupe__at_dflt__focus_y();
				close_cur();
				select_bwd();
				select_fwd();
				move_bwd();
				move_fwd();
				close_others();
				close_to_bgn();
				close_to_end();
				close_undo();
				pin_toggle();
				select_by_idx_1();
				select_by_idx_2();
				select_by_idx_3();
				select_by_idx_4();
				select_by_idx_5();
				select_by_idx_6();
				select_by_idx_7();
				select_by_idx_8();
				select_by_idx_9();
			}
			html {
				focus();
				selection_focus_toggle();
				load_tid;					// [mem,url]
			}
			find {
				show();
				show_by_paste();
				hide();
				exec();
				type();
				find_bwd();
				find_fwd();
				case_toggle();
				wrap_toggle();
			}
			prog {
				focus();
				show_short_link;
			}
			info {
				focus();
				clear();
				launch();
				warn_enabled;
				note_enabled;
			}
			prog_log {
				show();
			}
		}
		font {
			increase();
			decrease();
			reset();
		}
		page {
			edit {
				copy();
				select_all();
				save();
				save_draft();
				preview();
				focus_edit_box();
				dbg_tmpl();
				dbg_html();
				exec();
			}
			selection {
				copy();
				select_all();
				save_file_as();
			}
			view {
				mode_read();
				mode_edit();
				mode_html();
				reload();
				refresh();
				print();
				save_as();
			}
		}
	}
	html {			
	}
	net {
	}
	usr {
	}
	special {
	}
	xtns {
	}
	bldr {
		wikis {
			filters {
				dansguardians {
				}
			}
			imports {
				one_file = 'y';
				schema_is_1 = 'y';
				text_zip_tid = '.gz';
				html_zip_tid = '.gz';
			}
		}
	}
}
*/
